Create a new named credential

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/namedCredentials

Creates a new Named Credential.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Schema object to hold Named Credential details for post operation
Show Source
Match All
Schema object to hold Named Credential details for post operation
Show Source
Nested Schema : attributes
Type: object
Additional Properties Allowed
Show Source
Represents a map of name-value for the attributes for the named credential
Nested Schema : localInputFiles
Type: object
Additional Properties Allowed
Show Source
Represents a map of name-value for an attribute value (from attributes property) being replaced by the content of a local file
Nested Schema : NamedCredentialCommon
Type: object
Common properties for a Named Credential
Show Source
Examples

Back to Top

Response

Supported Media Types

201 Response

Named credential created successfully
Headers
  • URL to get the Named Credential got created. It will be /em/api/namedCredentials/{newNamedCredentialId}
Body ()
Root Schema : NamedCredential
Type: object
Schema object to hold Named Credential data to return on post operation
Show Source
Match All
Schema object to hold Named Credential data to return on post operation
Show Source
Nested Schema : attributes
Type: object
Additional Properties Allowed
Show Source
Represents a map of name-value for the attributes for the named credential
Nested Schema : credMapping
Type: object
Additional Properties Allowed
Show Source
Mapping of credential provider to the attributes required by the credential type
Nested Schema : NamedCredentialCommon
Type: object
Common properties for a Named Credential
Show Source
Examples

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

401 Response

Client is not authenticated
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

403 Response

Forbidden. The user is forbidden to perform the requested operation
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

409 Response

Conflict
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

503 Response

Indicates that a required service is not available
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source
Back to Top